﻿<%@ Page Language="C#" AutoEventWireup="true" CodeFile="Main.aspx.cs" Inherits="Main" %>

<%@ Register Assembly="Telerik.Web.UI" Namespace="Telerik.Web.UI" TagPrefix="telerik" %>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title>RadRotator Test</title>
 </head>
<body>
    <form id="form1" runat="server">
    <div>
        <asp:ScriptManager ID="ScriptManager1" runat="server">
        </asp:ScriptManager>
        <script type="text/javascript">
        	var pictures = new Array("barcelona.jpg", "dubrovnik.jpg", "london.jpg", "luxembourg.jpg", "paris.jpg", "piza.jpg", "rome.jpg", "venice.jpg", "vienna.jpg"); // all pictures are specified

			function ShowingItem(sender, args) {
            	var currentIndex = args.get_item().get_index(); // index of current item
				var itemsCount = sender.get_items().length; // items count
				if (currentIndex < 6 && itemsCount < 9) { // check if more items need to be preloaded
            		var radRotatorItemData = [];
                    var newIndex = currentIndex + 3;
                    radRotatorItemData.Html = "<img src='images/" + pictures[newIndex] + "' alt='' />";
                    sender.addRotatorItem(radRotatorItemData, newIndex); // new RadRotator image is added
                }
			}
        </script>
        

        <telerik:RadRotator ID="RadRotator1" runat="server" FrameDuration="3000" RotatorType="Buttons"
            ScrollDirection="Up" Height="133px" ItemHeight="113px" Width="150px" ItemWidth="150px"
            Skin="Default" OnClientItemShowing ="ShowingItem">
            <ItemTemplate>
                <img src="<%# ResolveUrl("images/" + Container.DataItem) %>" alt="" />
            </ItemTemplate>
        </telerik:RadRotator>
    </div>
    </form>
</body>
</html>
